=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk
ifeq ($(DEB_HOST_ARCH_CPU),amd64)
HAVE_SSE2=ON
else
HAVE_SSE2=OFF
endif

%:
	dh $@

override_dh_auto_configure:
		dh_auto_configure -- -DSSE2_FOUND=$(HAVE_SSE2)
